<?xml version="1.0" encoding="utf-8"?>

<creole>
    <files>
        <file name='/etc/cron.hourly/gaspacho-agent' filelist="gaspachoagent" source="cron-gaspacho-agent" mode='0755' rm='True'/>
    </files>
    <containers>
        <container name="gaspacho">
            <package>gaspacho-agent</package>
            <service servicelist="gaspachoagent">gaspacho-agent</service>
            <file name='/etc/gaspacho-agent/gaspacho-agent.conf' filelist="gaspachoagent" mkdir="True"/>
            <file name='/etc/pam.d/common-session'/>
        </container>
    </containers>
    <variables>
        <family name='services'>
            <variable name='activer_gaspacho_agent' type='oui/non' description="Activer l'agent Gaspacho">
                <value>non</value>
            </variable>
        </family>
        <family name='gaspacho-agent' icon='coffee'>
            <variable name='adresse_ip_gaspacho' type='domain_strict' description="Nom de domaine du serveur Gaspacho" mandatory='True'/>
            <variable name='gaspacho_agent_requires' type='oui/non' description="Rendre impossible la connexion si l'agent Gaspacho fait une erreur" mode='expert'>
                <value>non</value>
            </variable>
        </family>
    </variables>
    <constraints>
        <condition name="disabled_if_in" source="activer_gaspacho_agent">
            <param>non</param>
            <target type="family">gaspacho-agent</target>
            <target type="variable">adresse_ip_gaspacho</target>
            <target type="variable">gaspacho_agent_requires</target>
            <target type="filelist">gaspachoagent</target>
            <target type="servicelist">gaspachoagent</target>
        </condition>
    </constraints>
    <help>
        <family name='gaspacho-agent'>Paramétrage de l'agent Gaspacho</family>
        <variable name='activer_gaspacho_agent'>Gaspacho est une application qui permet de configurer automatiquement le poste de travail de l'utilisateur selon son profil</variable>
    </help>
</creole>
<!-- vim: ts=4 sw=4 expandtab
-->

